Summary:	Provides support for One Time Passwords (OTP) authentication
Name:		pam_yubico
Version:	2.27
Release:	%mkrel 3
License:	GPLv2
Group:		System/Libraries
URL:		https://developers.yubico.com/yubico-pam/
Source0:	https://github.com/Yubico/yubico-pam/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  openldap-devel
BuildRequires:  pam-devel
BuildRequires:  ykclient-devel >= 2.15
BuildRequires:	pkgconfig(ykpers-1)
BuildRequires:	openldap2-devel
BuildRequires:	asciidoc

%description
The Yubico authentication device Yubikey generates one-time passwords that can
be used for authentication. This module allows you to use the Yubikey device to
authenticate to the PAM system.

The Yubico PAM module provides an easy way to integrate the Yubikey into your
existing user authentication infrastructure.

%prep
%autosetup -p1 -n yubico-pam-%{version}

%build
%serverbuild
autoreconf -vfi
%configure \
    --with-pam-dir=/%{_lib}/security

%make_build

%install
%make_install

# cleanup
rm -f %{buildroot}/%{_lib}/security/*.*a

%files
%doc COPYING NEWS README
%attr(0755,root,root) /%{_lib}/security/pam_yubico.so
%{_bindir}/ykpamcfg
%{_mandir}/man1/ykpamcfg.1*
%{_mandir}/man8/pam_yubico.8*



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.27-3.mga10
+ Revision: 2217208
- Mageia 10 Mass Rebuild

* Tue Jan 03 2023 umeabot <umeabot> 2.27-2.mga9
+ Revision: 1929550
- Rebuild to use libldap-2.5 instead of 2.4

* Wed Mar 16 2022 danf <danf> 2.27-1.mga9
+ Revision: 1794818
- Upgrade to ver. 2.27

* Fri Feb 14 2020 umeabot <umeabot> 2.26-2.mga8
+ Revision: 1521768
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 01 2019 luigiwalser <luigiwalser> 2.26-1.mga7
+ Revision: 1347862
- 2.26

* Sun Sep 23 2018 umeabot <umeabot> 2.25-2.mga7
+ Revision: 1300100
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 kekepower <kekepower> 2.25-1.mga7
+ Revision: 1218758
- BR asciidoc
- Update to version 2.25

* Sat Feb 06 2016 umeabot <umeabot> 2.12-6.mga6
+ Revision: 940192
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.12-5.mga5
+ Revision: 749820
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-4.mga5
+ Revision: 683323
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.12-3.mga4
+ Revision: 508842
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.12-2.mga3
+ Revision: 362377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 dlucio <dlucio> 2.12-1.mga3
+ Revision: 296860
- 2.12
- file list fixed
- imported package pam_yubico


* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4-3mdv2011.0
+ Revision: 666982
- mass rebuild

* Wed Oct 20 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4-2mdv2011.0
+ Revision: 586955
- stupid build system
- fix build
- 2.4
- rebuilt for 2010.1
- rebuild

* Thu Jun 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdv2010.0
+ Revision: 385140
- 2.1
- fix deps
- sync with fedora

* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8-1mdv2009.0
+ Revision: 285433
- fix deps
- import pam_yubico


* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8-1mdv2009.0
- initial Mandriva package
